Subject: Re: System crash in tcp_fragment()

From: Andi Kleen <[email-masked]>
Date: Tue, 21 May 2002 02:39:19 +0200

On Tue, May 21, 2002 at 02:26:29AM +0200, george anzinger wrote:
> [email-masked] wrote:
> > 
> > Hello!
> > 
> > > It's unfortunately the truth. Even in_interrupt() is buggy current
> > > on SMP preemptive.
> > 
> > And why folks working on preemtive kernel do not repair this?
> > To all that I remember it is well known issue.
> > 
> Ah, but we have.  in_interrupt() was fixed about a month
> ago.  I think Robert got it into all the patches.  Whats
> more, it is a bit faster too :)

It's not fixed in 2.5.15/16.  I don't know about your patches.

-Andi